add_library(IntersectionHandler intersection_handler.cpp)
set_target_properties(IntersectionHandler PROPERTIES VERSION ${PROJECT_VERSION})

#target_include_directories(IntersectionHandler PRIVATE ${Utils_SOURCE_DIRS})
target_include_directories(IntersectionHandler PRIVATE ${Utils_SOURCE_DIRS})
target_include_directories(IntersectionHandler PUBLIC .)
target_link_libraries( IntersectionHandler Utils)

set(CPACK_PROJECT_NAME ${PROJECT_NAME})
set(CPACK_PROJECT_VERSION ${PROJECT_VERSION})
include(CPack)